### Virtual Method

# Shumate DataSource get_tile_data_finish

#### Declaration [src]

    GBytes*
    get_tile_data_finish (
      ShumateDataSource* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Gets the final result of a request started with shumate_data_source_get_tile_data_async().

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult` provided to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GBytes`
| The requested data, or `NULL` if an error occurred.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.